AOZ Studio Beta - Bug #161

Syntax error when adding to strings. # DIRECTLY RELATED TO BUG 144
02/08/2020 08:52 PM - David Baldwin

Status: Closed Start date: 02/08/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: 0.9.4

Description

Example code:-

#Manifest:"pc"

A$=Str$(40)-" "

C$="Anim 0,(21,"+A$+")(22,"+A$+")(23,"+A$+")" // Causes Syntax error at + after last A$
Print C$

If another character is added in parentheses ie: ");" like this, syntax error no longer occurs

#Manifest:"pc"

A$=Str$(40)-" "

C$="Anim 0,(21,"+A%$+")(22,"+A$+")(23,"+A$+");" // No error
Print C$

History

#1 - 02/22/2020 05:50 AM - Francois Lionet

- Status changed from New to Feedback

Cannot reproduce, please provide example...

#2 - 02/22/2020 01:43 PM - David Baldwin

| think you fixed this for the version 0.9.5 test, and didn't update it on here, as it seems to be working now. Also, was probably just the ")" bug that

someone else reported.

#3 - 02/27/2020 10:02 AM - Francois Lionet
- Status changed from Feedback to Closed
